Cyberduck Mountain Duck CLI

#6820 closed defect (fixed)

Two factor authentication failure

Reported by: adenicol Owned by: dkocher
Priority: normal Milestone: 4.4.4
Component: sftp Version: 4.2.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Hi!

I am using Oath Toolkit (http://www.nongnu.org/oath-toolkit/) for authentication on my web server. The connection is an SSH connection on port 22. The server asks for user name first, one time password second and then finally the login password. I am using an YubiKey for the two factor authentication.

When I try to log in with CuberDuck it asks for the one time password, I submit that then a few seconds later it ask's for the password and I enter that. We go through this two or three times and then the server kicks me out for too many authentication failures.

I am able to log into the server from a windows PC using WinSCP but on my Mac with CyberDuck, it won't let me log in. (We are trying to eliminate the Windows PC and would like to use this for our Mac).

Any suggestions?

Thanks! Anthony

Change History (4)

comment:1 Changed on Aug 30, 2012 at 11:19:51 AM by dkocher

  • Component changed from core to sftp
  • Milestone set to 4.2.2
  • Owner set to dkocher
  • Summary changed from 2 Factor Authentication Issue to Two factor authentication failure

comment:2 Changed on Aug 30, 2012 at 11:20:25 AM by dkocher

Is it possible to get a test account to debug this issue. That would be faster than to install the setup here.

comment:3 Changed on Sep 26, 2012 at 4:47:19 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

Possibly a duplicate for #6698.

comment:4 Changed on May 2, 2014 at 9:01:58 AM by dkocher

  • Milestone changed from 4.3 to 4.4.4

Duplicate for #7865.

Note: See TracTickets for help on using tickets.
swiss made software